Loading...
Searching...
No Matches
ftmpl_inst.cc File Reference

Factory's template instantiations. More...

`#include "config.h"`
`#include "cf_iter.h"`
`#include "canonicalform.h"`
`#include "cf_assert.h"`
`#include "cf_reval.h"`
`#include "cf_map.h"`
`#include "templates/ftmpl_array.cc"`
`#include "templates/ftmpl_afactor.cc"`
`#include "templates/ftmpl_factor.cc"`
`#include "templates/ftmpl_list.cc"`
`#include "templates/ftmpl_functions.h"`
`#include "templates/ftmpl_matrix.cc"`
`#include <NTL/version.h>`

Go to the source code of this file.

## Functions

template List< Variable > | Union (const List< Variable > &, const List< Variable > &)
template List< Variable > | Difference (const List< Variable > &, const List< Variable > &)
template OSTREAM & | operator<< (OSTREAM &os, const List< CanonicalForm > &l)
| explicit template function instantiations
template OSTREAM & | operator<< (OSTREAM &os, const List< CFFactor > &l)
template OSTREAM & | operator<< (OSTREAM &os, const List< MapPair > &l)
template OSTREAM & | operator<< (OSTREAM &, const Array< CanonicalForm > &)
template OSTREAM & | operator<< (OSTREAM &, const Factor< CanonicalForm > &)
template OSTREAM & | operator<< (OSTREAM &s, const Matrix< CanonicalForm > &M)
template OSTREAM & | operator<< (OSTREAM &, const Array< REvaluation > &)
template int | operator== (const Factor< CanonicalForm > &, const Factor< CanonicalForm > &)
template int | operator== (const AFactor< CanonicalForm > &, const AFactor< CanonicalForm > &)
template List< CFFactor > | Union (const List< CFFactor > &, const List< CFFactor > &)
template List< CFAFactor > | Union (const List< CFAFactor > &, const List< CFAFactor > &)
template CanonicalForm | tmax (const CanonicalForm &, const CanonicalForm &)
template CanonicalForm | tmin (const CanonicalForm &, const CanonicalForm &)
template Variable | tmax (const Variable &, const Variable &)
template Variable | tmin (const Variable &, const Variable &)
template int | tmax (const int &, const int &)
template int | tmin (const int &, const int &)
template int | tabs (const int &)
template int | operator== (const List< CanonicalForm > &, const List< CanonicalForm > &)
template List< CanonicalForm > | Union (const List< CanonicalForm > &, const List< CanonicalForm > &)
template List< CFList > | Union (const List< CFList > &, const List< CFList > &)
template List< CanonicalForm > | Difference (const List< CanonicalForm > &, const List< CanonicalForm > &)
template List< List< CanonicalForm > > | Difference (const List< List< CanonicalForm > > &, const List< List< CanonicalForm > > &)
template List< List< CanonicalForm > > | Difference (const List< List< CanonicalForm > > &, const List< CanonicalForm > &)
template CanonicalForm | prod (const List< CanonicalForm > &)
template bool | find (const List< CanonicalForm > &, const CanonicalForm &)
template bool | find (const List< List< CanonicalForm > > &, const List< CanonicalForm > &)

## Detailed Description

Factory's template instantiations.

For a detailed description how to instantiate Factory's template classes and functions and how to add new instantiations see the `README' file.

**/

#include "factory.h"

/** explicit template class instantiations

Definition in file ftmpl_inst.cc.

## Function Documentation

## Difference() [1/4]

template List< CanonicalForm > Difference | ( | const List< CanonicalForm > & | ,
|  | const List< CanonicalForm > & | )

## Difference() [2/4]

template List< List< CanonicalForm > > Difference | ( | const List< List< CanonicalForm > > & | ,
|  | const List< CanonicalForm > & | )

## Difference() [3/4]

template List< List< CanonicalForm > > Difference | ( | const List< List< CanonicalForm > > & | ,
|  | const List< List< CanonicalForm > > & | )

## Difference() [4/4]

template List< Variable > Difference | ( | const List< Variable > & | ,
|  | const List< Variable > & | )

## find() [1/2]

template bool find | ( | const List< CanonicalForm > & | ,
|  | const CanonicalForm & | )

## find() [2/2]

template bool find | ( | const List< List< CanonicalForm > > & | ,
|  | const List< CanonicalForm > & | )

## operator<<() [1/7]

template OSTREAM & operator<< | ( | OSTREAM & | ,
|  | const Array< CanonicalForm > & | )

## operator<<() [2/7]

template OSTREAM & operator<< | ( | OSTREAM & | ,
|  | const Array< REvaluation > & | )

## operator<<() [3/7]

template OSTREAM & operator<< | ( | OSTREAM & | ,
|  | const Factor< CanonicalForm > & | )

## operator<<() [4/7]

template OSTREAM & operator<< | ( | OSTREAM & | os,
|  | const List< CanonicalForm > & | l )

explicit template function instantiations

## operator<<() [5/7]

template OSTREAM & operator<< | ( | OSTREAM & | os,
|  | const List< CFFactor > & | l )

## operator<<() [6/7]

template OSTREAM & operator<< | ( | OSTREAM & | os,
|  | const List< MapPair > & | l )

## operator<<() [7/7]

template OSTREAM & operator<< | ( | OSTREAM & | s,
|  | const Matrix< CanonicalForm > & | M )

## operator==() [1/3]

template int operator== | ( | const AFactor< CanonicalForm > & | ,
|  | const AFactor< CanonicalForm > & | )

## operator==() [2/3]

template int operator== | ( | const Factor< CanonicalForm > & | ,
|  | const Factor< CanonicalForm > & | )

## operator==() [3/3]

template int operator== | ( | const List< CanonicalForm > & | ,
|  | const List< CanonicalForm > & | )

## prod()

template CanonicalForm prod | ( | const List< CanonicalForm > & |  | ) |

## tabs()

template int tabs | ( | const int & |  | ) |

## tmax() [1/3]

template CanonicalForm tmax | ( | const CanonicalForm & | ,
|  | const CanonicalForm & | )

## tmax() [2/3]

template int tmax | ( | const int & | ,
|  | const int & | )

## tmax() [3/3]

template Variable tmax | ( | const Variable & | ,
|  | const Variable & | )

## tmin() [1/3]

template CanonicalForm tmin | ( | const CanonicalForm & | ,
|  | const CanonicalForm & | )

## tmin() [2/3]

template int tmin | ( | const int & | ,
|  | const int & | )

## tmin() [3/3]

template Variable tmin | ( | const Variable & | ,
|  | const Variable & | )

## Union() [1/5]

template List< CanonicalForm > Union | ( | const List< CanonicalForm > & | ,
|  | const List< CanonicalForm > & | )

## Union() [2/5]

template List< CFAFactor > Union | ( | const List< CFAFactor > & | ,
|  | const List< CFAFactor > & | )

## Union() [3/5]

template List< CFFactor > Union | ( | const List< CFFactor > & | ,
|  | const List< CFFactor > & | )

## Union() [4/5]

template List< CFList > Union | ( | const List< CFList > & | ,
|  | const List< CFList > & | )

## Union() [5/5]

template List< Variable > Union | ( | const List< Variable > & | ,
|  | const List< Variable > & | )